GNU bug report logs - #36575
[PATCH] gnu: shroud: Update to 6b79c8c.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Amar Singh <nly@HIDDEN>; Keywords: patch; merged with #36576; dated Wed, 10 Jul 2019 13:07:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36575 36576. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36575 <at> debbugs.gnu.org:


Received: (at 36575) by debbugs.gnu.org; 10 Jul 2019 13:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 09:36:17 2019
Received: from localhost ([127.0.0.1]:35083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlClc-0007vS-SV
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 09:36:17 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:55499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dthompson2@HIDDEN>) id 1hlClW-0007v8-Hc
 for 36575 <at> debbugs.gnu.org; Wed, 10 Jul 2019 09:36:14 -0400
Received: by mail-wm1-f67.google.com with SMTP id a15so2345506wmj.5
 for <36575 <at> debbugs.gnu.org>; Wed, 10 Jul 2019 06:36:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=worcester-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=UXSgtPAqSAPe6ZXx5P3RTY4DyNmMuwjSuVJruj+Hrlc=;
 b=WBCOhuqZjNRH27aMfuCtE7dZY2VjHfwsZc4ujJOyfJGfNYrFBORrjSOeTpbbmbRMy9
 dyTHrQ9RUPeZIyH3kItaCLo+TwTDxsbgxaqNrSrevWjT8sue4jo2iv4PeKh6HgCPnjkC
 zhenbxHqMoIRKHZjipcLj/dufdEmvjrrk0Nwg1y1ej8GQKn8w5LwknrSrZS7hK/PfZFu
 JRS6Ym67obRyEii6vUhHxjVZqJdq0buWDaK9mU0znnSIfghrfOxhkPIbvbwnQFEOawiS
 0YdxP/SbEta03WJwiechShzWzJwreoUlaMrWt0GQ4onj49HH+Ujp0qo0N4cqT4Klwrut
 lKFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=UXSgtPAqSAPe6ZXx5P3RTY4DyNmMuwjSuVJruj+Hrlc=;
 b=QKG1Rf2M3dKx0OntHFEy+kvqgTGHorPu+EC5kFZdpmVLe2CtkJUh05V6F/dxwIQjEG
 4JEEHpJNq/2tfza954ikfOMogBOmHlC4GWrsMu+bHCg0roZE3JtKx0cbTp5pJeywGWtO
 eveGwinz7NZtIf0sGvZcoWkKEZB51yuOMYvzDZQYp/PqU7M5Fbr5qYgTh9s1+5uY4Cfh
 xv+zIgkxA9wnzdKHQzNiQyQDchxQmKz7rsAUawvvJbrmKuKB5g/HuQvHtU8BhIML24VO
 WO1L+hJagOD0wWZEBqKlD92TaFkRN50D+NIF3GX3mnvR2qaDSDCqGusLfiny1VsFXInA
 XaZQ==
X-Gm-Message-State: APjAAAVhdm/6rfPcLlIm4KgifdAPRnwQnLvhzGw/Vtnz6XLxjmJzcKIW
 t0yzbQ+35K5svUD9258N0bRT7DE7gOmuR1GaMTJLsQ==
X-Google-Smtp-Source: APXvYqy3vdikpRFZUv0Ua6jSYEuGDaWqUqSY5NDOCxbOVbDGAKM0T8eOnksBzwV0/LbvQPegbN16I6/xmAt0C0p4Qw0=
X-Received: by 2002:a05:600c:240e:: with SMTP id
 14mr5456724wmp.30.1562765764513; 
 Wed, 10 Jul 2019 06:36:04 -0700 (PDT)
MIME-Version: 1.0
References: <85tvbum445.fsf@HIDDEN>
In-Reply-To: <85tvbum445.fsf@HIDDEN>
From: "Thompson, David" <dthompson2@HIDDEN>
Date: Wed, 10 Jul 2019 09:35:53 -0400
Message-ID: <CAJ=RwfYarpDxOJi09QJt8jHjVWYEY7QvwfkzOWSPtYSt7nad6w@HIDDEN>
Subject: Re: [bug#36575] [PATCH] gnu: shroud: Update to 6b79c8c.
To: Amar Singh <nly@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Amar, On Wed, Jul 10,
 2019 at 9:07 AM Amar Singh <nly@HIDDEN>
 wrote: > > > Update shroud password manager. Now builds with guile-2.2. (or
 possibly even 3.0). I just quietly released a 0.1.2 tarball for you: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: dthompson.us]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.67 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.67 listed in wl.mailspike.net]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36575
Cc: 36575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi Amar,

On Wed, Jul 10, 2019 at 9:07 AM Amar Singh <nly@HIDDEN> wrote:
>
>
> Update shroud password manager. Now builds with guile-2.2. (or possibly even 3.0).

I just quietly released a 0.1.2 tarball for you:

https://files.dthompson.us/shroud/shroud-0.1.2.tar.gz
https://files.dthompson.us/shroud/shroud-0.1.2.tar.gz.asc

If it works, could you update this patch to use this release tarball?

Thanks for your interest and effort!

- Dave




Information forwarded to guix-patches@HIDDEN:
bug#36575; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jul 2019 13:06:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 09:06:14 2019
Received: from localhost ([127.0.0.1]:35050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlCIX-0002t2-OP
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 09:06:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:48416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nly@HIDDEN>) id 1hlCIS-0002sr-JX
 for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 09:06:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43144)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <nly@HIDDEN>) id 1hlCIR-00010B-8a
 for guix-patches@HIDDEN; Wed, 10 Jul 2019 09:06:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nly@HIDDEN>) id 1hlCIP-0006Db-R7
 for guix-patches@HIDDEN; Wed, 10 Jul 2019 09:06:07 -0400
Received: from knopi.disroot.org ([178.21.23.139]:38542)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nly@HIDDEN>) id 1hlCIO-00066k-Uv
 for guix-patches@HIDDEN; Wed, 10 Jul 2019 09:06:05 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7560336677
 for <guix-patches@HIDDEN>; Wed, 10 Jul 2019 15:05:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id stFWuwgUEgUS for <guix-patches@HIDDEN>;
 Wed, 10 Jul 2019 15:05:53 +0200 (CEST)
From: Amar Singh <nly@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1562763953; bh=rSQ4D06uZgei50PgPfN+NthTHpi5p8KmJubijwgNfgM=;
 h=From:To:Subject:Date;
 b=dkn/5M3z9Kf3y58gTkEFBc01LDGrE7m84BChVnFR5RcScAU2miR2NWwra3SqaRDkO
 YUhtTqy0TbPj3i/tIHD2XOLeNl3kFZLhB6089BvkXoCEHixa+N4uUzMpvmcvC3zm6D
 SBLlQa+ma9eDUJAWm4EuMM4LCX5+AHj2Td6/yQMDCTiObW3RZN1snXgMKTNUQUp+ft
 1TOzFq8FZ4nzzezUi3Fvhs35CpYb7GjQQddVYm/IMhNtlpaT0R2d93rG2lk2JePxNb
 z8A7ow5fMhzjUjJNZQiXftRKZqYC0E8MJ9Tq2R1CDV44YunVadae/5UiRLhlWLYfMt
 00UQH8jfRdtJQ==
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: shroud: Update to 6b79c8c.
Date: Wed, 10 Jul 2019 18:35:46 +0530
Message-ID: <85tvbum445.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.21.23.139
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Update shroud password manager. Now builds with guile-2.2. (or possibly even 3.0).


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-shroud-Update-to-6b79c8c.patch

From 1e59791b4eb026a85ae3080650b28f759fe891f6 Mon Sep 17 00:00:00 2001
From: Amar Singh <nly@HIDDEN>
Date: Fri, 5 Jul 2019 12:46:31 +0530
Subject: [PATCH] gnu: shroud: Update to 6b79c8c.

* (shroud): Update to 6b79c8c.

Shroud now uses guile-2.2, git-fetch to download source.
Add 'wrap-shroud build phase.
---
 gnu/packages/password-utils.scm | 85 +++++++++++++++++++++------------
 1 file changed, 55 insertions(+), 30 deletions(-)

diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.scm
index 49024b26c4..93d6b66e73 100644
--- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -50,6 +50,7 @@
   #:use-module (gnu packages admin)
   #:use-module (gnu packages aidc)
   #:use-module (gnu packages authentication)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages base)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
@@ -234,41 +235,65 @@ platforms.")
     (license license:artistic2.0)))
 
 (define-public shroud
-  (package
-    (name "shroud")
-    (version "0.1.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "https://files.dthompson.us/shroud/shroud-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "1y43yhgy2zbrk5bqj3qyx9rkcz2bma9sinlrg7dip3jqms9gq4lr"))))
-    (build-system gnu-build-system)
-    (arguments
-     '(#:phases
-       (modify-phases %standard-phases
-         (add-after 'install 'wrap-shroud
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out       (assoc-ref outputs "out"))
-                    (ccachedir (string-append out "/lib/guile/2.0/ccache"))
-                    (prog      (string-append out "/bin/shroud")))
-               (wrap-program prog
-                 `("GUILE_LOAD_COMPILED_PATH" ":" prefix (,ccachedir)))
-               #t))))))
-    (inputs
-     `(("guile" ,guile-2.0)
-       ("gnupg" ,gnupg)
-       ("xclip" ,xclip)))
-    (synopsis "GnuPG-based secret manager")
-    (description "Shroud is a simple secret manager with a command line
+  (let ((commit "6b79c8c097b1d185929185bd57a36963660a1485"))
+    (package
+      (name "shroud")
+      (version (git-version "0.1.1" "3" commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "git://git.dthompson.us/shroud.git")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "1s1pvlfj4c3nw2n3d8khhzhx1q0gfnspbh1d6jg3mij3r6wbkryy"))))
+      (build-system gnu-build-system)
+      (native-inputs
+       `(("pkg-config" ,pkg-config)
+         ("autoconf" ,autoconf-wrapper)
+         ("automake" ,automake)
+         ("gettext" ,gettext-minimal)))
+      (arguments
+       `(#:modules ((guix build gnu-build-system)
+                    (guix build utils)
+                    (ice-9 popen)
+                    (ice-9 rdelim)
+                    (srfi srfi-26))
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'install 'wrap-shroud
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let* ((out (assoc-ref outputs "out"))
+                      (guile (assoc-ref inputs "guile"))
+                      (xclip (assoc-ref inputs "xclip"))
+                      (prog (string-append out "/bin/shroud"))
+                      (deps (list xclip))
+                      (effective (read-line
+                                  (open-pipe* OPEN_READ
+                                              (string-append guile "/bin/guile")
+                                              "-c" "(display (effective-version))")))
+                      (path (map (cut string-append <> "/bin")
+                                 (delete #f deps)))
+                      (ccachedir (string-append out
+                                                "/lib/guile/" effective "/site-ccache")))
+                 (wrap-program prog
+                   `("PATH" ":" prefix ,path)
+                   `("GUILE_LOAD_COMPILED_PATH" ":" prefix (,ccachedir)))
+                 #t))))))
+      (inputs
+       `(("guile" ,guile-2.2)
+         ("gnupg" ,gnupg)
+         ("xclip" ,xclip)))
+      (synopsis "GnuPG-based secret manager")
+      (description "Shroud is a simple secret manager with a command line
 interface.  The password database is stored as a Scheme s-expression and
 encrypted with a GnuPG key.  Secrets consist of an arbitrary number of
 key/value pairs, making Shroud suitable for more than just password storage.
 For copying and pasting secrets into web browsers and other graphical
 applications, there is xclip integration." )
-    (home-page "https://dthompson.us/projects/shroud.html")
-    (license license:gpl3+)))
+      (home-page "https://dthompson.us/projects/shroud.html")
+      (license license:gpl3+))))
 
 (define-public yapet
   (package
-- 
2.22.0


--=-=-=--




Acknowledgement sent to Amar Singh <nly@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36575; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Jul 2019 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.